/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/performance-plan-review.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/performance-plan-review.xml',
'<View title="Reviews" defaultFormHandler="xxas_perf_plans_pkg.update_row_form_handler" deleteAllowed="true" deleteLabel="Remove Template">
  <CreateFields>
    <Hidden id="PERF_PLAN_ID"/>
    <Hidden id="PERF_PLAN_REVIEW_ID"/>
    <Poplist id="PERF_REVIEW_TEMPLATE_ID" label="Review template" required="true" listProvider="VALUE_SET_NAME:XXAS_PERF_REVIEW_TEMPLATES" visible="true" refreshOnChange="true"/>
    <Date id="START_DATE" label="Start date" required="true" visible="true" refreshOnChange="true"/>
    <Date id="ENDS_ON" label="End Date" enabled="false" visible="true" />
  </CreateFields>
</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/performance-plan-review.xml');
END;
/
COMMIT;
EXIT;
